
Figure - 需求 Requirement #112164
【测试指令自启动需求】合入客户测试指令并且能够开机自启动
2022-09-27 14:07 - CD BSP-杜磊

Status: 完成 Closed Start date: 2022-09-27

Priority: Normal Due date:

Assignee: CD BSP-杜磊 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Description

附件是VX1 MCE FSE-M的UT 请查收 麻烦将UT设置成自启动 并且启动时添加参数 192.168.8.16 并且我们目前发现FSE-M的mac地址错误 

未按照vlan规范中要求的mac地址设置 并且phy应该是100M slave而不是千兆 麻烦一并修复后给出软硬件测试

解决selinux权限问题

■需求列表

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc?sheet=0PCdJS

验证方法：

adb shell ifconfig

vlan8     Link encap:Ethernet  HWaddr a6:17:a1:5a:1f:e6

          inet addr:*192.168.8.16*  Bcast:192.168.8.255  Mask:255.255.255.0 

          UP BROADCAST MULTICAST  MTU:1500  Metric:1

          RX packets:0 errors:0 dropped:0 overruns:0 frame:0 

          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0 

          collisions:0 txqueuelen:1000 

          RX bytes:0 TX bytes:0

History

#1 - 2022-09-29 09:49 - CD BSP-杜磊

- File ept_uppertester_v2.0_fse added

#2 - 2022-09-29 09:50 - CD BSP-杜磊

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V2.0_update_20221012

#3 - 2022-09-29 10:07 - CD BSP-杜磊

- Description updated

#4 - 2022-09-29 17:40 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD_BSP 彭文亮

#5 - 2022-10-08 17:57 - CD BSP-杜磊

- Description updated

#6 - 2022-10-08 18:09 - CD BSP-杜磊

- Description updated

#7 - 2022-10-17 11:42 - CD BSP-杜磊

- Status changed from New to 分析&分解中 In Analysis

- Assignee changed from CD_BSP 彭文亮 to CD BSP-杜磊

- % Done changed from 0 to 100
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc?sheet=0PCdJS


#8 - 2022-10-17 11:43 - CD BSP-杜磊

- Status changed from 分析&分解中 In Analysis to 完成 Closed

#9 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153924 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Set vlan8 ip addressAdd ept_uppertester_v2.0_fse toolTC-RID: 1201-0400601IssueID: TS-R-DF-112164Change-Id:

Ied4645c7efa59496941c28055940582deaa20d09

#10 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155318 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm

dulei0503@thundersoft.com

BSP:Ethernet: Set vlan8 ip addressAdd ept_uppertester_v2.0_fse toolTC-RID: 1201-0400601IssueID: TS-R-DF-112164Change-Id:

Ied4645c7efa59496941c28055940582deaa20d09(cherry picked from commit 5636c0df8f452e0e7c688a4e009fa2ee88aa8f60)

#11 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156453 general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Add service to start upper_testAdd selinux sepolicy for upper_testTC-RID: 1201-0400601IssueID: TS-R-DF-112164Change-Id:

I70957670e2f2e87c6c194fa849ab0ae8d3bc0ac3

#12 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156454 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Add service to start upper_testSet vlan8 ip address as serviceTC-RID: 1201-0400601IssueID: TS-R-DF-112164Change-Id:
I54b82ad4fc83fb86fdf510a8120c9f3bee603d3f

#13 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157144 general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Fix upper_test selinux build errorAdd selinux sepolicy for upper_testTC-RID: 1201-0400601IssueID: TS-R-DF-112164Change-Id:

I2c3471998a6841485555bde51a19e66c85e0e7b5

#14 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158616 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Disable upper_test at startupEnable: setprop persist.sys.ut.active 1Disable: setprop persist.sys.ut.active 0TC-RID: 1201-0400601IssueID:

TS-R-DF-112164Change-Id: I08df782d9aaa8c0a90f6190a200f7fe739efd5d9

Files

ept_uppertester_v2.0_fse 222 KB 2022-09-29 CD BSP-杜磊
